compiz crashed with SIGSEGV in PanelMenuView::OnPlaceViewShown()

Bug #754585 reported by wiewiur on 2011-04-08
122
This bug affects 21 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
High
Neil J. Patel
unity (Ubuntu)
High
Neil J. Patel

Bug Description

Binary package hint: unity

Trying to open Nautilus

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: unity 3.8.4-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
Architecture: i386
Date: Fri Apr 8 12:38:56 2011
ExecutablePath: /usr/bin/compiz
LiveMediaBuild: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110408)
ProcCmdline: compiz
ProcEnviron:
 LANGUAGE=pl_PL:en
 LANG=pl_PL.UTF-8
 SHELL=/bin/bash
SegvAnalysis:
 Segfault happened at: 0x102a4d8: shlb 0x2a4d001(%edx,%eax,1)
 PC (0x0102a4d8) in non-executable VMA region: 0x0102a000-0x0102d000 rw-p None
 source "0x2a4d001(%edx,%eax,1)" (0x0d9763c1) not located in a known VMA region (needed readable region)!
SegvReason:
 executing writable VMA None
 reading unknown VMA
Signal: 11
SourcePackage: unity
StacktraceTop:
 ?? () from /lib/i386-linux-gnu/libc.so.6
 ?? ()
 PanelMenuView::OnPlaceViewShown(_GVariant*, PanelMenuView*) () from /usr/lib/compiz/libunityshell.so
 ?? () from /usr/lib/compiz/libunityshell.so
 ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
Title: compiz crashed with SIGSEGV in PanelMenuView::OnPlaceViewShown()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

wiewiur (wiewiur) wrote :

StacktraceTop:
 main_arena () from /lib/i386-linux-gnu/libc.so.6
 ?? ()
 ?? ()
 PanelMenuView::OnPlaceViewShown (data=0x0, self=0x9efefc8) at /build/buildd/unity-3.8.4/src/PanelMenuView.cpp:1031
 ubus_server_pump_message_queue (server=0x9a34590) at /build/buildd/unity-3.8.4/src/ubus-server.cpp:284

Changed in unity (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
visibility: private → public
Changed in unity:
assignee: nobody → Neil J. Patel (njpatel)
importance: Undecided → High
Changed in unity (Ubuntu):
importance: Medium → High
Changed in unity:
status: New → Confirmed
Omer Akram (om26er) on 2011-04-08
Changed in unity (Ubuntu):
status: New → Confirmed
Neil J. Patel (njpatel) wrote :

Hi, did you use multi-monitors at all before this happened?

Changed in unity:
milestone: none → 3.8.6
Changed in unity (Ubuntu):
assignee: nobody → Neil J. Patel (njpatel)

Hi,
no I didn't but I had to switch display mode in my laptop (after booting
up Ubuntu my resolution was smaller than 1366x768 native, switching
display mode solve this ), so maybe external VGA was active for a moment.

W dniu 2011-04-08 16:12, Neil J. Patel pisze:
> Hi, did you use multi-monitors at all before this happened?
>
> ** Changed in: unity
> Milestone: None => 3.8.6
>
> ** Changed in: unity (Ubuntu)
> Assignee: (unassigned) => Neil J. Patel (njpatel)
>

Omer Akram (om26er) wrote :

@njpatel the duplicate bug from pitti suggests that he had multi-monitor setup

Neil J. Patel (njpatel) wrote :

Yep, that would do it. I've fixed this for next release, thanks for the info!

Changed in unity:
status: Confirmed → Fix Committed
Changed in unity (Ubuntu):
status: Confirmed → Fix Committed
Augusto (augusto.rendon) wrote :

I can confirm from duplicate bug that I was using external monitor

Didier Roche (didrocks) on 2011-04-11
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.8.6-0ubuntu1

---------------
unity (3.8.6-0ubuntu1) natty; urgency=low

  * New upstream release.
    - compiz crashed with SIGABRT in raise() (LP: #748163)
    - System freezes when maximize button is clicked (LP: #754063)
    - compiz crashed with SIGSEGV in QuicklistView::IsMenuItemSeperator()
      (LP: #754302)
    - compiz crashed with SIGSEGV in std::_List_node_base::_M_hook()
      (LP: #754235)
    - compiz crashed with SIGSEGV in ubus_server_pump_message_queue()
      (LP: #754657)
    - drag from dash to launcher (LP: #662616)
    - Add a test case for unity-decorator regressions (LP: #736878)
    - the files place category combo has empty space (LP: #741641)
    - panel superposition (LP: #742859)
    - Unity Launcher stops autohiding and is not responsive (LP: #744325)
    - Unity Launcher stops autohiding and is not responsive (LP: #744325)
    - [FFE] Need API to set urgency from background process (LP: #747677)
    - Launcher - Escape from 'drag behind the Launcher' interaction
      (LP: #750298)
    - Launcher needs to be desaturated when Dash is open, not transparent.
      (LP: #750358)
    - compiz crashed with SIGSEGV in free() (LP: #752293)
    - migrate_favorites.py crashed with ImportError in __main__: No module
      named gconf (LP: #752176)
    - compiz crashed with SIGSEGV in PluginClassHandler<DecorWindow,
      CompWindow, 0>::get() (LP: #743807)
    - cannot close the dash by clicking on the bfb (LP: #753914)
    - Animation for Grid Previews is broken (LP: #754088)
    - compiz crashed with SIGSEGV in PanelMenuView::OnPlaceViewShown()
      (LP: #754585)
    - Pressing F10 then "left arrow" wit Unity on Natty makes the system
      unusable (LP: #756867)
    - compiz crashed with SIGSEGV in __pthread_mutex_lock() (LP: #711231)
    - Tooltips and Dash Font Problems (LP: #741605)
    - Title elipisising incorrect. Type “Shotwell” for a good example
      (LP: #750350)
    - compiz crashed with SIGSEGV in Launcher::Launcher() (LP: #748096)
    - BFB - Turn top left corner blue rather than Ubuntu logo (LP: #755286)
    - launcher appears and gets stuck when resizing windows with mouse
      (LP: #754690)
    - Wrong item gets dragged out (LP: #729796)
    - Launcher - when the launcher is folded, the bottom icon partially falls
      off the end of the screen (LP: #731869)
    - unity-window-decorator: Resize padding: Tiny focused windows lose resize
      padding and shadow when <69 pixels wide (LP: #737707)
    - Deinstalling an application with launcher entry leaves orphaned shortcut
      (LP: #748107)
    - Two Nautilus windows open when clicked on a device icon on Launcher
      (started after 3.8.2) (LP: #748299)
    - compiz crashed with SIGSEGV in Launcher::AnimationTimeout()
      (LP: #749890)
  * debian/control:
    - build-dep on latest nux (ABI break)
  * debian/unity-common.install:
    - install the desktop file for the new capplet
 -- Didier Roche <email address hidden> Mon, 11 Apr 2011 12:42:33 +0200

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers